Subject: RE: Links to latest bis working docs

From: "Clemm, Geoff" <[email-masked]>
Date: Tue, 10 Sep 2002 16:29:34 -0400

I just wanted to make sure that it continues to not appear in
the revised document (:-).  In particular, I was concerned by
the phrase "interoperable solution", as this seemed to open the
door to including it.

So the update to the "RFC 2518 Changes" document that I'd like
to see in this regard would be adding the reasons
summarized by Julian for the rejection of the Translate header,
and changing the characterization of the Translate header from an
"interoperable solution" to an "approach".

Cheers,
Geoff

-----Original Message-----
From: Lisa Dusseault [mailto:[email-masked]]
Sent: Tuesday, September 10, 2002 4:06 PM
To: 'Clemm, Geoff'; [email-masked]
Subject: RE: Links to latest bis working docs

Please note that the "Translate" header does not appear in the "revised
[2518] document".  

The "RFC2518 Changes" document discusses issues that have been brought
up on the list -- including the proposal that had been made, on the
list, to standardize the Translate header.  This document is only to
help keep track of issues (together with Jason's page) and RFC bis
changes, and is not on any standards track.  Note also that this
document briefly, and I believe correctly, summarizes that the working
group rejected the solution.  

If you still have problems with this characterization and where it
appears, please explain.

Lisa

> -----Original Message-----
> From: [email-masked]
[mailto:[email-masked]]
> On Behalf Of Clemm, Geoff
> Sent: Tuesday, September 10, 2002 12:26 PM
> To: [email-masked]
> Subject: RE: Links to latest bis working docs
> 
> 
> I agree with Julian.  Since the consensus of the working group
> was to reject the Translate header approach (for the reasons
> Julian mentions, and others), I believe it should not be introduced
> in the revised document, and definitely should not be characterized as
an
> "interoperable solution".
> 
> Cheers,
> Geoff
> 
> -----Original Message-----
> From: Julian Reschke [mailto:[email-masked]]
> Sent: Tuesday, September 10, 2002 2:37 PM
> To: Lisa Dusseault; [email-masked]
> Subject: RE: Links to latest bis working docs
> 
> 
> 
> Just two comments on:
> 
> 1.1       Source property
> The Source property has not had interoperability demonstrated, but
> messages
> to the list support keeping some way of retrieving the source of
> dynamically-generated Web pages.  An interoperable solution exists
(the
> Microsoft Translate header) but has received rejection on the list due
to
> its lack of support for dynamically-generated resources with multiple
> source
> files.
> 
> 
> - the Translate header violates RFC2616 which explicitly says that
variant
> handling is *not* supposed to switch between "getting the source" and
> "executing a script"
> 
> - the actual implementation in IIS breaks RFC2616 in that it doesn't
list
> "Translate" as request header on which the GET result varies.
> 
> 
> Regards, Julian
> 
> 
> --
> <green/>bytes GmbH -- http://www.greenbytes.de -- tel:+492512807760
> -----Original Message-----
> From: [email-masked]
[mailto:[email-masked]]On
> Behalf Of Lisa Dusseault
> Sent: Tuesday, September 10, 2002 5:07 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Links to latest bis working docs
> 
> 
> I promised yesterday I'd put up links to the most recent
work-in-progress.
> http://www.sharemation.com/~milele/public/dav/draft-ietf-webdav-
> rfc2518bis.d
> oc
> http://www.sharemation.com/~milele/public/dav/RFC2518%20Changes.doc
> Sometime after the Interop, I'll be doing the real formatted draft
thing
> of
> course.
> Lisa